## org.jboss.netty.channel.local
Class DefaultLocalServerChannelFactory

    java.lang.Object
      org.jboss.netty.channel.local.DefaultLocalServerChannelFactory

All Implemented Interfaces:
  ChannelFactory, LocalServerChannelFactory, ServerChannelFactory, ExternalResourceReleasable

    public class DefaultLocalServerChannelFactory

extends Object
implements LocalServerChannelFactory

The default `LocalServerChannelFactory` implementation.

Version:
  $Rev: 2241 $, $Date: 2010-04-16 13:12:43 +0900 (Fri, 16 Apr 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee

Constructor Summary
`DefaultLocalServerChannelFactory()` Creates a new instance.

Method Summary
`LocalServerChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.
`void` `releaseExternalResources()` Does nothing because this implementation does not require any external resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLocalServerChannelFactory

    public DefaultLocalServerChannelFactory()

  Creates a new instance.

Method Detail

### newChannel

    public LocalServerChannel newChannel(ChannelPipeline pipeline)

  Description copied from interface: `ChannelFactory`
  Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

  Specified by:
    `newChannel` in interface `ChannelFactory`
  Specified by:
    `newChannel` in interface `LocalServerChannelFactory`
  Specified by:
    `newChannel` in interface `ServerChannelFactory`
  Parameters:
    `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
  Returns:
    the newly open channel

### releaseExternalResources

    public void releaseExternalResources()

  Does nothing because this implementation does not require any external resources.

  Specified by:
    `releaseExternalResources` in interface `ChannelFactory`
  Specified by:
    `releaseExternalResources` in interface `ExternalResourceReleasable`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.